package com.muyu.active.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.active.domain.model.ActivityTeamInfoAddModel;
import com.muyu.active.domain.model.ActivityTeamInfoSaveModel;
import com.muyu.active.domain.model.ActivityTeamInfoUpdModel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 拼团信息主表
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
public class ActivityTeamInfo extends BaseEntity {

  @TableId(value = "id",type = IdType.AUTO)
  private long id;
  private String name;
  private long productId;
  private String productImage;
  private String introduction;
  private String unit;
  private String imageList;
  private Date endTime;
  private long sort;
  private String content;
  private String status;
  private String strategyType;
  private long strategyId;

  /**
   * 构造方法
   */
  public static ActivityTeamInfo saveActivityTeamInfo(ActivityTeamInfoSaveModel activityTeamInfoSaveModel){
    return ActivityTeamInfo.builder()
            .name(activityTeamInfoSaveModel.getName())
            .productId(activityTeamInfoSaveModel.getProductId())
            .productImage(activityTeamInfoSaveModel.getProductImage())
            .introduction(activityTeamInfoSaveModel.getIntroduction())
            .unit(activityTeamInfoSaveModel.getUnit())
            .imageList(activityTeamInfoSaveModel.getImageList().toString())
            .endTime(activityTeamInfoSaveModel.getEndTime())
            .sort(activityTeamInfoSaveModel.getSort())
            .content(activityTeamInfoSaveModel.getContent())
            .status(activityTeamInfoSaveModel.getStatus())
            .strategyType(activityTeamInfoSaveModel.getStrategyType())
            .build();
  }
  /**
   * 公共添加模型，转换成添加对象
   * @param activityTeamInfoAddModel 添加模型
   * @return 添加对象
   */
  public static ActivityTeamInfo addModelBuild(ActivityTeamInfoAddModel activityTeamInfoAddModel){
    return ActivityTeamInfo.builder()
            .name(activityTeamInfoAddModel.getName())
            .productId(activityTeamInfoAddModel.getProductId())
            .productImage(activityTeamInfoAddModel.getProductImage())
            .introduction(activityTeamInfoAddModel.getIntroduction())
            .unit(activityTeamInfoAddModel.getUnit())
            .imageList(activityTeamInfoAddModel.getImageList())
            .endTime(activityTeamInfoAddModel.getEndTime())
            .sort(activityTeamInfoAddModel.getSort())
            .content(activityTeamInfoAddModel.getContent())
            .status(activityTeamInfoAddModel.getStatus())
            .strategyType(activityTeamInfoAddModel.getStrategyType())
            .strategyId(activityTeamInfoAddModel.getStrategyId())
            .build();
  }

  public static ActivityTeamInfo teamSaveBuild(ActivityTeamInfoSaveModel activityTeamInfoSaveModel) {
    return ActivityTeamInfo.builder()
            .name(activityTeamInfoSaveModel.getName())
            .productId(activityTeamInfoSaveModel.getProductId())
            .productImage(activityTeamInfoSaveModel.getProductImage())
            .introduction(activityTeamInfoSaveModel.getIntroduction())
            .unit(activityTeamInfoSaveModel.getUnit())
            .imageList(activityTeamInfoSaveModel.getImageList())
            .endTime(activityTeamInfoSaveModel.getEndTime())
            .sort(activityTeamInfoSaveModel.getSort())
            .content(activityTeamInfoSaveModel.getContent())
            .status(activityTeamInfoSaveModel.getStatus())
            .strategyType(activityTeamInfoSaveModel.getStrategyType())
            .strategyId(activityTeamInfoSaveModel.getStrategyId())
            .build();
  }

  public static ActivityTeamInfo updTeamInfoBuild(ActivityTeamInfoUpdModel activityTeamInfoUpdModel) {
    return ActivityTeamInfo.builder()
            .id(activityTeamInfoUpdModel.getId())
            .name(activityTeamInfoUpdModel.getName())
            .productId(activityTeamInfoUpdModel.getProductId())
            .productImage(activityTeamInfoUpdModel.getProductImage())
            .introduction(activityTeamInfoUpdModel.getIntroduction())
            .unit(activityTeamInfoUpdModel.getUnit())
            .imageList(activityTeamInfoUpdModel.getImageList())
            .endTime(activityTeamInfoUpdModel.getEndTime())
            .sort(activityTeamInfoUpdModel.getSort())
            .content(activityTeamInfoUpdModel.getContent())
            .status(activityTeamInfoUpdModel.getStatus())
            .strategyType(activityTeamInfoUpdModel.getStrategyType())
            .strategyId(activityTeamInfoUpdModel.getStrategyId())
            .build();
  }
}
