package com.muyu.active.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.active.domain.ActivityTeamProductSkuInfo;
import com.muyu.active.domain.model.ActivityTeamInfoSaveModel;
import com.muyu.active.domain.model.TeamSkuInfoModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 添加拼团活动（入参）请求表
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ActivityTeamInfoSaveReq {
    /**
     * 商品id
     */
    private Long productId;
    /**
     * 商品图片
     */
    private String image;
    /**
     * 活动名称
     */
    private String name;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 商品单位
     */
    private String unit;
    /**
     * 商品轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 详情
     */
    private String content;
    /**
     * 状态
     */
    private String status;
    /**
     * 拼团类型
     */
    private String strategyType;
    private BigDecimal teamPrice;
    private  Long teamStock;
    private String productSku;
    private String productImage;
    private Long strategyId;
    private String strategyName;
    /**
     * 商品sku
     */
    private List<TeamProjectSkuInfoAddReq> teamProjectSkuInfoAddReqList;

    private List<ActivityTeamProductSkuInfo> projectSkuInfoList;

    /**
     *构造方法
     */
    public ActivityTeamInfoSaveModel saveModel(){

        return ActivityTeamInfoSaveModel.builder()
                .productId(productId)
                .productImage(image)
                .name(name)
                .introduction(introduction)
                .unit(unit)
                .imageList("0")
                .endTime(endTime)
                .sort(sort)
                .content(content)
                .status(status)
                .strategyType("0")
                .teamPrice(teamPrice)
                .productSku(productSku)
                .teamStock(teamStock)
                //转换为LIST 商品sku
                .projectSkuInfoList(projectSkuInfoList.stream().map(activityTeamProductSkuInfo -> {
                    return TeamSkuInfoModel.teamSkuInfoModel(activityTeamProductSkuInfo);
                }).toList())
                .build();
    }
}
