package com.muyu.product.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.product.domain.AttributeGroup;
import com.muyu.product.domain.AttributeInfo;
import com.muyu.product.domain.BrandInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("category_info")
@ApiModel(value = "CategoryInfo", description = "品类信息")
public class CategoryInfoUpdResp {
    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 品类名称 */
    @Excel(name = "品类名称")
    @ApiModelProperty(name = "品类名称", value = "品类名称", required = true)
    private String name;

    /** 图片 */
    @Excel(name = "图片")
    @ApiModelProperty(name = "图片", value = "图片", required = true)
    private String image;

    /** 是否启用 */
    @Excel(name = "是否启用")
    @ApiModelProperty(name = "是否启用", value = "是否启用", required = true)
    private String start;

    /** 介绍 */
    @Excel(name = "介绍")
    @ApiModelProperty(name = "介绍", value = "介绍")
    private String introduction;
    /**
     * 属性集合
     */
    @Excel(name = "属性集合")
    @ApiModelProperty(name = "属性集合", value = "属性集合")
    private List<AttributeInfo> attributeInfoList;

    /**
     * 属性组集合
     */
    @Excel(name = "属性组集合")
    @ApiModelProperty(name = "属性组集合", value = "属性组集合")
    private List<AttributeGroup> attributeGroupList;

    /**
     * 品牌集合
     */
    @Excel(name = "品牌集合")
    @ApiModelProperty(name = "品牌集合", value = "品牌集合")
    private  List<BrandInfo> brandInfoList;

}
