package com.muyu.product.service;

import java.util.List;

import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.product.domain.AttributeGroup;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.product.domain.model.AttributeGroupSaveModel;
import com.muyu.product.domain.req.AttributeUpdReq;
import com.muyu.product.domain.resp.AttributeGroupPageResp;
import com.muyu.product.domain.resp.AttributeGroupUpdResp;

/**
 * 属性组Service接口
 */
public interface AttributeGroupService extends IService<AttributeGroup> {
    /**
     * 分页查询
     * @param attributeGroup 分组对象
     * @return 返回结果
     */
    public TableDataInfo<AttributeGroupPageResp> page(AttributeGroup attributeGroup);
    /**
     * 查询属性组列表
     *
     * @param attributeGroup 属性组
     * @return 属性组集合
     */
    public List<AttributeGroup> list(AttributeGroup attributeGroup);
    /**
     * 保存
     * @param attributeGroupSaveModel 属性组保存模型
     * @return 是否成功
     */
    public Boolean save(AttributeGroupSaveModel attributeGroupSaveModel);
    /**
     * 根据id查询属性组的详情
     */
    AttributeGroupUpdResp getUpdById(Long id);
    /**
     * 修改属性
     */
    boolean updateByattr(Long id, AttributeUpdReq attributeUpdReq);

}
